document.addEventListener('DOMContentLoaded', function() {
    var list_link = document.getElementById('listLink')
    if (list_link) {
        list_link.addEventListener('click', function (e) {
            e.preventDefault();
        });
    }
    var tooltip_link = document.getElementById('tooltipLink')
    if (tooltip_link) {
        tooltip_link.addEventListener('click', function (e) {
            e.preventDefault();
        });
    }

    /*
     * Add control to select/deselect items on all pages.
     * For this case the action form contains no rowid values
     * and applies current query string to action URL
     */
    const rowtoggle = document.getElementsByName('rowtoggle')[0];
    const action_form = $('#action_form');
    const action_form_action = action_form.attr('action');
    rowtoggle.addEventListener('change', (event) => {
        var select_all = $('#select-all-pages').children();
        if (!select_all.length) {
            return;
        }
        if (event.currentTarget.checked) {
            $('.model-list > thead').append('<tr id="select-all-row"><td colspan="999"></td></tr>');
            select_all = select_all.clone();
            $('#select-all-row > td').append(select_all);
            select_all.on('click', function() {
                $('input.action-checkbox').attr('disabled','true');
                $('input.action-checkbox', action_form).remove();
                action_form.attr('action', action_form_action + location.search);
                $(this).replaceWith($('#all-pages-selected').children().clone());
            });
        } else {
            $('#select-all-row').remove();
            $('input.action-checkbox').removeAttr("disabled");
            $('input.action-checkbox').each(function() {
                action_form.append($(this).clone());
            });
            action_form.attr('action', action_form_action);
        }
    });

    /*
     * Substitute confirm with prompt dialog for all-pages action
     */
    const confirm_dialog = window.confirm;
    window.confirm = function(msg) {
        const confirmation_obj = $('#all-pages-confirmation')
        if (confirmation_obj.length && $('input.action-checkbox').attr('disabled')) {
            const confirmation = JSON.parse(confirmation_obj.text())
            return window.prompt(msg + '\n' + confirmation.message) === confirmation.expected;
        } else {
            return confirm_dialog(msg);
        }
    }
});
